package industries.doublehelix.idleclock.listeners;

import java.time.Instant;

import com.github.kwhat.jnativehook.GlobalScreen;
import com.github.kwhat.jnativehook.mouse.NativeMouseEvent;
import com.github.kwhat.jnativehook.mouse.NativeMouseInputListener;
import com.github.kwhat.jnativehook.mouse.NativeMouseWheelEvent;
import com.github.kwhat.jnativehook.mouse.NativeMouseWheelListener;

public class SecondMouseChangeListener implements NativeMouseWheelListener, NativeMouseInputListener {
	private Instant lastInstant = Instant.now();

	public void start() {
		this.lastInstant = Instant.now();
		GlobalScreen.addNativeMouseListener(this);
		GlobalScreen.addNativeMouseMotionListener(this);
		GlobalScreen.addNativeMouseWheelListener(this);
	}

	@Override
	public void nativeMouseClicked(NativeMouseEvent arg0) {
	}

	@Override
	public void nativeMousePressed(NativeMouseEvent arg0) {
		this.lastInstant = Instant.now();
	}

	@Override
	public void nativeMouseReleased(NativeMouseEvent arg0) {
	}

	@Override
	public void nativeMouseDragged(NativeMouseEvent arg0) {
	}

	@Override
	public void nativeMouseMoved(NativeMouseEvent arg0) {
		this.lastInstant = Instant.now();
	}

	@Override
	public void nativeMouseWheelMoved(NativeMouseWheelEvent arg0) {
		this.lastInstant = Instant.now();
	}

	public Instant getLastInstant() {
		return this.lastInstant;
	}
}
